# TODO
# split the tools from main package ?
# split the doc ?
%define subrel 3

Name:           bzr
Epoch:          0
Version:        2.5.1
Release:        %mkrel 3
Summary:        Next-generation distributed version control
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.bazaar-vcs.org/
Source0:        https://launchpad.net/bzr/%{version}/%{version}/+download/bzr-%{version}.tar.gz
Source1:	https://launchpad.net/bzr/%{version}/%{version}/+download/bzr-%{version}.tar.gz.sig
# Fixed upstream here: https://bugs.launchpad.net/bzr/+bug/1182124
Patch0:		bzr-cve2013-2099.patch
# Fix for gpg signing when no gpg agent is present:
# https://bugs.launchpad.net/ubuntu/+source/bzr/+bug/1014570
Patch1:		bzr-gpg-no-agent-error.patch
# Traceback when doing bzr version
# https://bugs.launchpad.net/bzr/+bug/1195783
Patch2:		bzr-unicode.patch
BuildRequires:  python-devel python-paramiko zlib-devel
%define _provides_exceptions perl(

%description
Bazaar is a distributed revision control system. It allows team members to
branch and merge upstream code very easily.

Distributed revision control systems allow multiple people to have their
own branch of a project, and merge code efficiently between them. This
enables new contributors to immediately have access to the full tools that
previously have been limited to just the committers to a project.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/_patiencediff_py.py
sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/weave.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --prefix=%{buildroot}/%_prefix
mkdir -p %{buildroot}/%_mandir/
mv %{buildroot}/%_prefix/man/* %{buildroot}/%_mandir/
# remove as they are packaged externally
rm -Rf %{buildroot}/%python_sitearch/bzrlib/util/elementtree

find %{buildroot}/%python_sitearch -name '*.pyc' | xargs rm -f

chmod -R a+rX contrib
chmod 0644 contrib/debian/init.d
chmod 0644 contrib/bzr_ssh_path_limiter
chmod 0644 contrib/bzr_access
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/*.so

# install bash completion
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -m 0644 contrib/bash/bzr $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc  doc contrib NEWS README TODO tools
%_bindir/bzr
%python_sitearch/bzrlib/
%python_sitearch/*egg-info
%_mandir/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bzr




%changelog
* Sat Jan 18 2014 philippem <philippem> 0:2.5.1-3.3.mga3
+ Revision: 566790
- fix mga#12333 , apply correct patch for cve2013-2099
- change-match_hostname-to-follow-RFC-6125 (mga#11785)
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Fri Jan 11 2013 umeabot <umeabot> 0:2.5.1-3.mga3
+ Revision: 347273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0:2.5.1-2.mga3
+ Revision: 302703
- update RPM group

* Wed May 30 2012 kharec <kharec> 0:2.5.1-1.mga3
+ Revision: 250062
- new version 2.5.1

* Wed Nov 02 2011 kharec <kharec> 0:2.4.2-1.mga2
+ Revision: 161599
- New version, bugfix release.
- new version

* Sat Apr 16 2011 misc <misc> 0:2.3.1-1.mga1
+ Revision: 86163
- use more standard macros
- upgrade to 2.3.1
- remove patch, already applied upstream

* Tue Feb 01 2011 dmorgan <dmorgan> 0:2.2.3-1.mga1
+ Revision: 45785
- imported package bzr

